Package org.eclipse.launchbar.core.internal

# Class Pair<S,T>

java.lang.Object
org.eclipse.launchbar.core.internal.Pair<S,T>

Type Parameters:
  `S` - first element
  `T` - second element

public class Pair<S,T> extends Object
Yet another implementation for Pair. You'd figure Java would have this out of the box. Used in the launch bar mainly for modeling descriptor and target id's which includ both type id and the object name.

## Constructor Summary

Constructors
Constructor
Description
`Pair(S first, T second)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`S`
`getFirst()`
`T`
`getSecond()`
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Pair

public Pair(S first, T second)

## Method Details

### getFirst

public S getFirst()

### getSecond

public T getSecond()

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`